tigase.io

## Class TLSUtil

- java.lang.Object
- - tigase.io.TLSUtil

-     public abstract class TLSUtil
      extends Object

  Describe class TLSUtil here.
  Created: Mon Jan 23 14:21:31 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCertificate(Map<String,String> params)`
    `static void` | `configureSSLContext(Map<String,Object> params)`
    `static CertificateContainerIfc` | `getCertificateContainer()` Method returns singleton instance of class implementing CertificateContainterIfc responsible for caching SSL certificates in memory.
    `static SSLContextContainerIfc` | `getRootSslContextContainer()` Method returns singleton instance of class implementing SSLContextContainerIfc responsible for caching SSLContext instances.
    `static KeyStore` | `getTrustStore()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSUtil

          public TLSUtil()

  - ### Method Detail

    - #### addCertificate

          public static void addCertificate(Map<String,String> params)
                                     throws CertificateParsingException

      Throws:
        `CertificateParsingException`

    - #### configureSSLContext

          public static void configureSSLContext(Map<String,Object> params)

    - #### getCertificateContainer

          public static CertificateContainerIfc getCertificateContainer()

      Method returns singleton instance of class implementing CertificateContainterIfc responsible for caching SSL certificates in memory.
      Returns:

    - #### getRootSslContextContainer

          public static SSLContextContainerIfc getRootSslContextContainer()

      Method returns singleton instance of class implementing SSLContextContainerIfc responsible for caching SSLContext instances.
      This instance should be wrapped by new instance of SSLContextContainer if method getSSLContext will be used with TrustManager array passed!
      Returns:

    - #### getTrustStore

          public static KeyStore getTrustStore()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.